<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FSPA (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FSPA (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FSPA.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FSPADocumentPart.html"
               title="enum in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FSPA.html" target="_top">Frames</a></li>
        <li><a href="FSPA.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class FSPA" class="title">Class FSPA</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.FSPAAbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.FSPA</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">FSPA</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">FSPAAbstractType</a></pre>
                <div class="block">File Shape Address structure</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Squeeself</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FSPA.html#FSPA_SIZE">FSPA_SIZE</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.FSPAAbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FSPAAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_1_spid">field_1_spid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_2_xaLeft">field_2_xaLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_3_yaTop">field_3_yaTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_4_xaRight">field_4_xaRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_5_yaBottom">field_5_yaBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_6_flags">field_6_flags</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#field_7_cTxbx">field_7_cTxbx</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FSPA.html#FSPA--">FSPA</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FSPA.html#FSPA-byte:A-int-">FSPA</a></span>(byte[]&nbsp;bytes,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FSPA.html#toByteArray--">toByteArray</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.FSPAAbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FSPAAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getBx--">getBx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getBy--">getBy</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getCTxbx--">getCTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getFlags--">getFlags</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getSpid--">getSpid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getWr--">getWr</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getWrk--">getWrk</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getXaLeft--">getXaLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getXaRight--">getXaRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getYaBottom--">getYaBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#getYaTop--">getYaTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#isFAnchorLock--">isFAnchorLock</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#isFBelowText--">isFBelowText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#isFHdr--">isFHdr</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#isFRcaSimple--">isFRcaSimple</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setBx-byte-">setBx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setBy-byte-">setBy</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setCTxbx-int-">setCTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setFAnchorLock-boolean-">setFAnchorLock</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setFBelowText-boolean-">setFBelowText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setFHdr-boolean-">setFHdr</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setFlags-short-">setFlags</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setFRcaSimple-boolean-">setFRcaSimple</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setSpid-int-">setSpid</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setWr-byte-">setWr</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setWrk-byte-">setWrk</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setXaLeft-int-">setXaLeft</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setXaRight-int-">setXaRight</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setYaBottom-int-">setYaBottom</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#setYaTop-int-">setYaTop</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="FSPA_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FSPA_SIZE</h4>
                                <pre>@Deprecated
public static final&nbsp;int FSPA_SIZE</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FSPA--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FSPA</h4>
                                <pre>public&nbsp;FSPA()</pre>
                            </li>
                        </ul>
                        <a name="FSPA-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FSPA</h4>
                                <pre>public&nbsp;FSPA(byte[]&nbsp;bytes,
            int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="toByteArray--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toByteArray</h4>
                                <pre>public&nbsp;byte[]&nbsp;toByteArray()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FSPA.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FSPADocumentPart.html"
               title="enum in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FSPA.html" target="_top">Frames</a></li>
        <li><a href="FSPA.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
